Package org.duckdb

## Class DuckDBParameterMetaData

- java.lang.Object
- - org.duckdb.DuckDBParameterMetaData

All Implemented Interfaces:
  `java.sql.ParameterMetaData`, `java.sql.Wrapper`

    public class DuckDBParameterMetaData
    extends java.lang.Object
    implements java.sql.ParameterMetaData

### Field Summary

### Fields inherited from interface java.sql.ParameterMetaData

`parameterModeIn, parameterModeInOut, parameterModeOut, parameterModeUnknown, parameterNoNulls, parameterNullable, parameterNullableUnknown`

### Constructor Summary

Constructors
`DuckDBParameterMetaData​(DuckDBResultSetMetaData meta)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getParameterClassName​(int param)`
`int` `getParameterCount()`
`int` `getParameterMode​(int param)`
`int` `getParameterType​(int param)`
`java.lang.String` `getParameterTypeName​(int param)`
`int` `getPrecision​(int param)`
`int` `getScale​(int param)`
`int` `isNullable​(int param)`
`boolean` `isSigned​(int param)`
`boolean` `isWrapperFor​(java.lang.Class<?> iface)`
`<T> T` `unwrap​(java.lang.Class<T> iface)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DuckDBParameterMetaData

    public DuckDBParameterMetaData​(DuckDBResultSetMetaData meta)

### Method Detail

#### unwrap

    public <T> T unwrap​(java.lang.Class<T> iface)
                 throws java.sql.SQLException

Specified by:
  `unwrap` in interface `java.sql.Wrapper`
Throws:
  `java.sql.SQLException`

#### isWrapperFor

    public boolean isWrapperFor​(java.lang.Class<?> iface)

Specified by:
  `isWrapperFor` in interface `java.sql.Wrapper`

#### getParameterCount

    public int getParameterCount()
                          throws java.sql.SQLException

Specified by:
  `getParameterCount` in interface `java.sql.ParameterMetaData`
Throws:
  `java.sql.SQLException`

#### isNullable

    public int isNullable​(int param)
                   throws java.sql.SQLException

Specified by:
  `isNullable` in interface `java.sql.ParameterMetaData`
Throws:
  `java.sql.SQLException`

#### isSigned

    public boolean isSigned​(int param)
                     throws java.sql.SQLException

Specified by:
  `isSigned` in interface `java.sql.ParameterMetaData`
Throws:
  `java.sql.SQLException`

#### getPrecision

    public int getPrecision​(int param)
                     throws java.sql.SQLException

Specified by:
  `getPrecision` in interface `java.sql.ParameterMetaData`
Throws:
  `java.sql.SQLException`

#### getScale

    public int getScale​(int param)
                 throws java.sql.SQLException

Specified by:
  `getScale` in interface `java.sql.ParameterMetaData`
Throws:
  `java.sql.SQLException`

#### getParameterType

    public int getParameterType​(int param)
                         throws java.sql.SQLException

Specified by:
  `getParameterType` in interface `java.sql.ParameterMetaData`
Throws:
  `java.sql.SQLException`

#### getParameterTypeName

    public java.lang.String getParameterTypeName​(int param)
                                          throws java.sql.SQLException

Specified by:
  `getParameterTypeName` in interface `java.sql.ParameterMetaData`
Throws:
  `java.sql.SQLException`

#### getParameterClassName

    public java.lang.String getParameterClassName​(int param)
                                           throws java.sql.SQLException

Specified by:
  `getParameterClassName` in interface `java.sql.ParameterMetaData`
Throws:
  `java.sql.SQLException`

#### getParameterMode

    public int getParameterMode​(int param)
                         throws java.sql.SQLException

Specified by:
  `getParameterMode` in interface `java.sql.ParameterMetaData`
Throws:
  `java.sql.SQLException`